EC_NODE_EXPR_EVAL(3)

NAME
ec_node_expr_eval - Evaluate a parsed expression.

SYNOPSIS
#include <ecoli/node_expr.h>

int ec_node_expr_eval(
    /*
     * On success, this pointer will be set to the evaluated result.
     */
    void                                **result,
    const struct ec_node                 *node,     /* The expression node. */
    struct ec_pnode                      *parse,    /* The parse tree to evaluate. */
    const struct ec_node_expr_eval_ops   *ops,      /* The evaluation callbacks. */
    void                                 *userctx   /* A user-defined context passed to all callbacks. */
);

STRUCTURES
Expression evaluation operations.

struct ec_node_expr_eval_ops {

};

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_expr_set_val_node(3), ec_node_expr_add_bin_op(3), ec_node_expr(3), ec_node_expr_add_pre_op(3), ec_node_expr_add_parenthesis(3), ec_node_expr_add_post_op(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.